require 'spec_helper'

describe RuboCop::Cop::Mirego::ReceiveCounts do
  let(:cop) { RuboCop::Cop::Mirego::ReceiveCounts.new }

  before { inspect_source(cop, source) }

  describe 'with a receive having a count' do
    let(:source) { 'expect(object).to receive(:test).once' }

    it { expect(cop.offenses.size).to eql(0) }
  end

  describe 'with an allow' do
    let(:source) { 'allow(object).to receive(:test)' }

    it { expect(cop.offenses.size).to eql(0) }
  end

  describe 'with a receive missing a count' do
    let(:source) { 'expect(object).to receive(:test)' }

    specify do
      expect(cop.offenses.size).to eql(1)
      expect(cop.offenses.first.cop_name).to eql('Mirego/ReceiveCounts')
    end
  end
end
